<template>
  <div>
    <div class="app-header fixed" v-if="$route.path.split('/').indexOf('backend') < 2 && this.$route.path.split('/').indexOf('404') < 2">
      <div class="nav-full">
        <ul class="block">
          <li class="col" v-on:click="scrollTo('.section1', 100)">
            <router-link :to="{ name: 'Index'}">
              <span>
                HOME
              </span>
            </router-link>
          </li>
          <li class="col" v-on:click="scrollTo('.section4', -75)">
            <router-link :to="{ name: 'Index'}">
              <span>
                CAMP
              </span>
            </router-link>
          </li>
          <li class="col" v-on:click="scrollTo('.section5', -100)">
            <router-link :to="{ name: 'Index'}">
              <span>
                HIGHLIGHT
              </span>
            </router-link>
          </li>
          <li class="col" v-on:click="scrollTo('.section6', -75)">
            <router-link :to="{ name: 'Index'}">
              <span>
                SCHEDULE
              </span>
            </router-link>
          </li>
          <li class="col" style="cursor: default;">
            <div>
              <span>
                หมดเขต
              </span>
            </div>
          </li>
        </ul>
      </div>
      <ul class="block row m-0 space">
        <li class="col col-md-3 col-lg-4 col-xl-5 brand text-left" v-on:click="scrollTo('.section1', 100)">
          <router-link :to="{ name: 'Index'}">
            <span class="color-blue font-robotcrush">IT</span>
            <span class="color-dark font-robotcrush">CAMP</span>
            <span class="color-red font-robotcrush">14</span>
          </router-link>
        </li>
        <li class="col col-md-2 d-md-none menu-bar">
          <div class="wrapper-menu">
            <div class="line-menu half start"></div>
            <div class="line-menu"></div>
            <div class="line-menu half end"></div>
          </div>
        </li>
        <li class="col d-none d-md-block" v-on:click="scrollTo('.section4', -75)">
          <router-link :to="{ name: 'Index'}">
            <span>
              CAMP
            </span>
          </router-link>
        </li>
        <li class="col d-none d-md-block" v-on:click="scrollTo('.section5', -100)">
          <router-link :to="{ name: 'Index'}">
            <span>
              HIGHLIGHT
            </span>
          </router-link>
        </li>
        <li class="col d-none d-md-block" v-on:click="scrollTo('.section6', -75)">
          <router-link :to="{ name: 'Index'}">
            <span>
              SCHEDULE
            </span>
          </router-link>
        </li>
        <li class="col d-none d-md-block">
          <div style="cursor: default;">
            <span class="btn-register">
              หมดเขต
            </span>
          </div>
        </li>
      </ul>
    </div>
  </div>
</template>
<script>
import { scrollTo } from '@js/animate';
export default {
  name: 'Header',
  created() {
    $(function() {
      var bar = $('.wrapper-menu');
      var navMb = $('.nav-full');
      var navMenu = $('.nav-full .col');
      var check = 0;
      bar.click(function() {
        bar.stop().toggleClass('open');
        navMb.stop().fadeToggle(300);
      });
      navMenu.click(function() {
        bar.stop().toggleClass('open');
        navMb.stop().fadeToggle(300);
      });
    });
  },
  methods: {
    scrollTo: scrollTo
  }
};
</script>

<style>
</style>
